summaryrefslogtreecommitdiff
path: root/tests/case-fold-char-class
diff options
context:
space:
mode:
Diffstat (limited to 'tests/case-fold-char-class')
-rwxr-xr-xtests/case-fold-char-class22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/case-fold-char-class b/tests/case-fold-char-class
new file mode 100755
index 0000000..ac8f3ee
--- /dev/null
+++ b/tests/case-fold-char-class
@@ -0,0 +1,22 @@
+#!/bin/sh
+# This would fail for grep-2.5.3
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf 'Y\n' > exp1 || framework_failure_
+fail=0
+
+for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
+ out=out1-$LOC
+ printf 'X\nY\nZ\n' | LC_ALL=$LOC grep -i '[y]' > $out || fail=1
+ compare exp1 $out || fail=1
+done
+
+printf 'y\n' > exp2 || framework_failure_
+
+for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
+ out=out2-$LOC
+ printf 'x\ny\nz\n' | LC_ALL=$LOC grep -i '[Y]' > $out || fail=1
+ compare exp2 $out || fail=1
+done
+
+Exit $fail